# Class ExitCommand

java.lang.Object
org.apache.jmeter.gui.action.ExitCommand

All Implemented Interfaces:
  `Command`

public class ExitCommand extends Object implements Command

## Constructor Summary

Constructors
Constructor
Description
`ExitCommand()`
Constructor for the ExitCommand object

## Method Summary

Modifier and Type
Method
Description
`void`
`doAction(ActionEvent e)`
Description of the Method
`Set<String>`
`getActionNames()`
Gets the ActionNames attribute of the ExitCommand object

### Methods inherited from class Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### ExitCommand

public ExitCommand()
Constructor for the ExitCommand object

## Method Details

### getActionNames

public Set<String> getActionNames()
Gets the ActionNames attribute of the ExitCommand object

Specified by:
  `getActionNames` in interface `Command`
Returns:
  The ActionNames value

### doAction

public void doAction(ActionEvent e)
Description of the Method

Specified by:
  `doAction` in interface `Command`
Parameters:
  `e` - Description of Parameter